public OnMapStart()
{
	ClearTrie(g_Limit_Trie);

	new Handle:kv = CreateKeyValues("weapon_limit");
	if (!FileToKeyValues(kv, "cfg/weapon_limit.txt") || !KvGotoFirstSubKey(kv, true))
	{
		CloseHandle(kv);
		return;
	}
	decl String:ItemName[32], String:MapName[150], String:MapPrefix[15], String:MAPS[3000], String:MAPS_PREFIX[1500];
	GetCurrentMap(MapName, 150); Format(MapName, 150, "%s;", MapName);
	if (SplitString(MapName, "_", MapPrefix, 15) != -1)
		Format(MapPrefix, 15, "%s;", MapPrefix);
	else
		MapPrefix[0] = '\0';
	do
	{
		if (!KvGetSectionName(kv, ItemName, 32) || FindStringInArray(g_Items_Arrr, ItemName) == -1)
			continue;

		KvGetString(kv, "maps", MAPS, 3000, "wS");
		KvGetString(kv, "maps_prefix", MAPS_PREFIX, 1500, "wS");

		if (strcmp(MAPS, "wS") == 0 && strcmp(MAPS_PREFIX, "wS") == 0 || StrContains(MAPS, MapName) != -1 || StrContains(MAPS_PREFIX, MapPrefix) != -1)
		{
			SetTrieValue(g_Limit_Trie, ItemName, KvGetNum(kv, "limit"));
		}
	}
	while (KvGotoNextKey(kv, true));
	CloseHandle(kv);
}