public Action:CS_OnBuyCommand(client, const String:ItemName[])
{
	if (wS_GetRestrictedItemIndex(client, ItemName, true) > 0) return Plugin_Handled;
	return Plugin_Continue;
}


///


public item_pickup(Handle:event, const String:name[], bool:dontBroadcast)
{
	new client = GetClientOfUserId(GetEventInt(event, "userid"));
	decl String:ItemName[20]; GetEventString(event, "item", ItemName, 20);
	new weapon_index = wS_GetRestrictedItemIndex(client, ItemName);
	if (weapon_index > 0)
	{
		CS_DropWeapon(client, weapon_index, true, true);
		AcceptEntityInput(weapon_index, "Kill");
	}
}


///


wS_GetRestrictedItemIndex(client, const String:ItemName[], bool:buy = false)
{
	// не ограничено
	decl limit;
	if (!GetTrieValue(g_Limit_Trie, ItemName, limit))
		return -1;

	// не удалось получить слот
	decl slot;
	if (!GetTrieValue(g_Slots_Trie, ItemName, slot))
		return -1;

	if (limit < 1 || wS_ItemLimited(ItemName, slot, client, limit))
	{
		PrintToChat(client, "\x04Оружие < \x03%s \x04> ограничено \x03%d \x04на команду", ItemName, limit);
		ClientCommand(client, "playgamesound resource/warning.wav");
		if (buy) return client;
		return GetPlayerWeaponSlot(client, slot);
	}

	return -1;
}


///


bool:wS_ItemLimited(const String:ItemName[], slot, client, limit)
{
	decl String:RestrictedWeapon[32]; Format(RestrictedWeapon, 32, "weapon_%s", ItemName);
	new team = GetClientTeam(client), ent, count = 0;
	for (new i = 1; i <= MaxClients; i++)
	{
		if (i != client && IsClientInGame(i) && IsPlayerAlive(i) && GetClientTeam(i) == team && (ent = GetPlayerWeaponSlot(i, slot)) > 0)
		{
			decl String:active_weapon[32];
			if (GetEntityClassname(ent, active_weapon, 32) && strcmp(active_weapon, RestrictedWeapon) == 0 && ++count >= limit)
			{
				return true;
			}
		}
	}
	return false;
}